Bug 135119 - system-config-samba misreporting workgroup error
Summary: system-config-samba misreporting workgroup error
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 151132
TreeView+ depends on / blocked
 
Reported: 2004-10-08 19:24 UTC by Andrew D. Stadler
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 23:23:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew D. Stadler 2004-10-08 19:24:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Apparently system-config-samba wants me to enter a workgroup before I
leave the "server settings" dialog.  However, it's failing to do this
properly, and dumping some error text in the console.



Version-Release number of selected component (if applicable):
system-config-samba-1.2.15-0.fc2.1

How reproducible:
Always

Steps to Reproduce:
1.  console:  system-config-samba
2.  select preferences->server settings
3.  under "basic" tab, leave workgroup blank and hit "ok"
    

Actual Results:  
(1) OK button is nonfunctional.
(2) Console displays:
Traceback (most recent call last):
  File "/usr/share/system-config-samba/basicPreferencesWin.py", line
182, in onBasicOkButtonClicked
    if not self.checkForWorkgroup(self.workgroup_entry.get_text()):
  File "/usr/share/system-config-samba/basicPreferencesWin.py", line
255, in checkForWorkgroup
    self.showMessageBox(_("You must specify a workgroup."))
AttributeError: BasicPreferencesWin instance has no attribute
'showMessageBox'
 


Expected Results:  Either close the dialog, or display an error
message indicating why you can't OK the dialog.

Additional info:

Comment 1 Nils Philippsen 2004-10-09 02:31:36 UTC
Fixed in system-config-samba-1.2.19-1.

Comment 2 Andrew D. Stadler 2005-03-15 08:36:17 UTC
Regressing this bug, I'm running system-config-samba-1.2.26-0.fc3.1 now, which would seem to be 
newer that 1.2.19-1, and the bug is still appearing.

Same diagnosis and steps to reproduce, as before.  Only difference is that the line numbers 194 and 
264 are referenced.

Comment 3 Nils Philippsen 2005-03-15 09:09:29 UTC
Fixed in system-config-samba-1.2.28-0.fc3.1 which should hit mirrors soon.

Comment 4 Andrew D. Stadler 2005-03-15 23:23:01 UTC
Confirmed fixed in system-config-samba-1.2.28-0.fc3.1 - thanks!


Note You need to log in before you can comment on or make changes to this bug.